description

# DoubleLinkedQueueEntry<E> class Null safety

An entry in a doubly linked list. It contains a pointer to the next entry, the previous entry, and the boxed element.

## Constructors

DoubleLinkedQueueEntry(E? _element)

## Properties

element ↔ E
  The element in the queue.
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

append(E e) → void
  Appends the given `e` as entry just after this entry.
nextEntry() → DoubleLinkedQueueEntry<E>?
  Returns the next entry or `null` if there is none.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
prepend(E e) → void
  Prepends the given `e` as entry just before this entry.
previousEntry() → DoubleLinkedQueueEntry<E>?
  Returns the previous entry or `null` if there is none.
remove() → E
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited